/**
******************************************************************************
* Copyright © 2017-2018 PTA GmbH.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* 
*     http://www.eclipse.org/legal/epl-v10.html
* 
******************************************************************************
*/
import { Notification } from '../model/notification';
export const DUMMY_CREATED_NOTIFICATION: Notification = {
        id: 1,
        incidentId: 100,
        version: 1,
        fkRefBranch: 1,
        fkRefGridTerritory: 1,
        fkRefNotificationStatus: 2,
        fkRefNotificationPriority: null,
        beginDate: '2017-01-16T14:01:001',
        modDate: null,
        modUser: 'theo',
        selected: false,
        status: '',
        notificationText: 'Achtung: Diebstahlgefahr',
        freeText: '',
        freeTextExtended: '',
        responsibilityForwarding: '',
        responsibilityForwardingUuid: '75d7c3fd-a5f1-4db8-b9b3-84bcb52c9302',
        responsibilityControlPoint: 'Abteilung 4',
        reminderDate: null,
        futureDate: null,
        createDate: '2017-01-15T11:11:00+01',
        expectedFinishDate: '2017-01-17T04:04:00+01',
        finishedDate: null,
        createUser: 'Abteilungsleitung',
        clerk: 'Mustermann',
        adminFlag: false,
        type: null,
        isTypePresenceCheck: Notification.prototype.isTypePresenceCheck
        
};
export const DUMMY_UPDATED_NOTIFICATION: Notification = {
        id: 100,
        incidentId: 100,
        version: 2,
        fkRefBranch: 1,
        fkRefGridTerritory: 1,
        fkRefNotificationStatus: 2,
        fkRefNotificationPriority: null,
        beginDate: '2017-01-16T14:01:001',
        modDate: null,
        modUser: 'theo',
        selected: false,
        status: '',
        notificationText: 'Achtung: Diebstahlgefahr',
        freeText: '',
        freeTextExtended: '',
        responsibilityForwarding: '',
        responsibilityForwardingUuid: '75d7c3fd-a5f1-4db8-b9b3-84bcb52c9302',
        responsibilityControlPoint: 'Abteilung 4',
        reminderDate: null,
        futureDate: null,
        createDate: '2017-01-15T11:11:00+01',
        expectedFinishDate: '2017-01-17T04:04:00+01',
        finishedDate: null,
        createUser: 'Abteilungsleitung',
        clerk: 'Mustermann',
        adminFlag: false,
        type: null,
        isTypePresenceCheck: Notification.prototype.isTypePresenceCheck
};
export const DUMMY_NOTIFICATION: Notification = {
        id: null,
        incidentId: 100,
        version: 1,
        fkRefBranch: 1,
        fkRefGridTerritory: 2,
        fkRefNotificationStatus: 2,
        fkRefNotificationPriority: null,
        beginDate: '2017-01-16T14:01:001',
        modDate: null,
        modUser: 'theo',
        selected: false,
        status: '',
        notificationText: 'Achtung: Diebstahlgefahr',
        freeText: '',
        freeTextExtended: '',
        responsibilityForwarding: '',
        responsibilityForwardingUuid: '75d7c3fd-a5f1-4db8-b9b3-84bcb52c9302',
        responsibilityControlPoint: 'Abteilung 4',
        reminderDate: null,
        futureDate: null,
        createDate: '2017-01-15T11:11:00+01',
        expectedFinishDate: '2017-01-17T04:04:00+01',
        finishedDate: null,
        createUser: 'Abteilungsleitung',
        clerk: 'Mustermann',
        adminFlag: false,
        type: null,
        isTypePresenceCheck: Notification.prototype.isTypePresenceCheck
};
export const CURRENT_NOTIFICATIONS: Notification[] = [
    {
        id: 100,
        incidentId: 100,
        version: 1,
        fkRefBranch: 1,
        fkRefGridTerritory: 1,
        fkRefNotificationStatus: 2,
        fkRefNotificationPriority: null,
        beginDate: '2017-01-16T14:01:001',
        modDate: null,
        modUser: 'theo',
        selected: false,
        status: '',
        notificationText: 'Achtung: Diebstahlgefahr',
        freeText: '',
        freeTextExtended: '',
        responsibilityForwarding: '',
        responsibilityForwardingUuid: '75d7c3fd-a5f1-4db8-b9b3-84bcb52c9302',
        responsibilityControlPoint: 'Abteilung 4',
        reminderDate: null,
        futureDate: null,
        createDate: '2017-01-15T11:11:00+01',
        expectedFinishDate: '2017-01-17T04:04:00+01',
        finishedDate: null,
        createUser: 'Abteilungsleitung',
        clerk: 'Mustermann',
        adminFlag: false,
        type: null,
        isTypePresenceCheck: Notification.prototype.isTypePresenceCheck
    },
    {
        id: 101,
        incidentId: 101,
        version: 2,
        fkRefBranch: 1,
        fkRefGridTerritory: 1,
        fkRefNotificationStatus: 2,
        fkRefNotificationPriority: null,
        beginDate: '2017-01-16T14:01:001',
        modDate: null,
        modUser: 'theo',        
        selected: false,
        status: '',
        notificationText: 'Mitarbeiterversammlung am 31.07.2017',
        freeText: '',
        freeTextExtended: '',
        responsibilityForwarding: '',
        responsibilityForwardingUuid: '75d7c3fd-a5f1-4db8-b9b3-84bcb52c9302',
        responsibilityControlPoint: 'Abteilung 4',
        reminderDate: null,
        futureDate: null,
        createDate: '2017-00-15T05:05:00+01',
        expectedFinishDate: '2017-01-16T05:05:00+01',
        finishedDate: null,
        createUser: 'Personalrat',
        clerk: 'Mustermann',
        adminFlag: false,
        type: null,
        isTypePresenceCheck: Notification.prototype.isTypePresenceCheck
    }
];

export const FUTURE_NOTIFICATIONS: Notification[] = [
    {
        id: 1,
        incidentId: 1,
        version: 1,
        fkRefBranch: 2,
        fkRefGridTerritory: 1,
        fkRefNotificationStatus: 1,
        fkRefNotificationPriority: null,
        beginDate: '2017-01-16T14:01:001',
        modDate: null,
        modUser: 'theo',
        selected: false,
        status: 'offen',
        notificationText: 'Wartungsauftrag #1234',
        freeText: '',
        freeTextExtended: '',
        responsibilityForwarding: '',
        responsibilityForwardingUuid: '75d7c3fd-a5f1-4db8-b9b3-84bcb52c9302',
        responsibilityControlPoint: 'Abteilung 4',
        reminderDate: null,
        futureDate: '2017-06-14T11:13:00+01',
        createDate: '2017-01-14T11:13:00+01',
        expectedFinishDate: '2017-01-15T11:13:00+01',
        finishedDate: null,
        createUser: 'Ersteller 1',
        clerk: 'Mustermann',
        adminFlag: false,
        type: null,
        isTypePresenceCheck: Notification.prototype.isTypePresenceCheck
    },
    {
        id: 2,
        incidentId: 100,
        version: 1,
        fkRefBranch: 1,
        fkRefGridTerritory: 1,
        fkRefNotificationStatus: 2,
        fkRefNotificationPriority: null,
        beginDate: '2017-01-16T14:01:001',
        modDate: null,
        modUser: 'theo',        
        selected: false,
        status: 'offen',
        notificationText: 'Neuanschaffung Gerät G4321',
        freeText: '',
        freeTextExtended: '',
        responsibilityForwarding: '',
        responsibilityForwardingUuid: '75d7c3fd-a5f1-4db8-b9b3-84bcb52c9302',
        responsibilityControlPoint: 'Abteilung 4',
        reminderDate: null,
        futureDate: '2017-06-14T14:14:00+01',
        createDate: '2017-01-15T14:14:00+01',
        expectedFinishDate: '2017-01-16T14:14:00+01',
        finishedDate: null,
        createUser: 'Ersteller 2',
        clerk: 'Musterfrau',
        adminFlag: false,
        type: null,
        isTypePresenceCheck: Notification.prototype.isTypePresenceCheck
    }
];

export const OPEN_NOTIFICATIONS: Notification[] = [
    {
        id: 3,
        incidentId: 3,
        version: 3,
        fkRefBranch: 1,
        fkRefGridTerritory: 1,
        fkRefNotificationStatus: 2,
        fkRefNotificationPriority: null,
        beginDate: '2017-01-16T14:01:001',
        modDate: null,
        modUser: 'theo',            
        selected: false,
        status: 'offen',
        notificationText: 'Fehler Bereich D',
        freeText: '',
        freeTextExtended: '',
        responsibilityForwarding: '',
        responsibilityForwardingUuid: '75d7c3fd-a5f1-4db8-b9b3-84bcb52c9302',
        responsibilityControlPoint: 'Abteilung 4',
        reminderDate: null,
        futureDate: null,
        createDate: '2017-01-14T21:21:00',
        expectedFinishDate: '2017-01-15T21:21:00',
        finishedDate: null,
        createUser: 'Bearbeiter 3',
        clerk: 'Musterkind',
        adminFlag: false,
        type: null,
        isTypePresenceCheck: Notification.prototype.isTypePresenceCheck
    },
    {
        id: 4,
        incidentId: 6,
        version: 2,
        fkRefBranch: 1,
        fkRefGridTerritory: 2,
        fkRefNotificationStatus: 2,
        fkRefNotificationPriority: null,
        beginDate: '2017-01-16T14:01:001',
        modDate: null,
        modUser: 'theobald',            
        selected: false,
        status: 'offen',
        notificationText: 'Austausch Gerät XYZ',
        freeText: '',
        freeTextExtended: '',
        responsibilityForwarding: '',
        responsibilityForwardingUuid: '75d7c3fd-a5f1-4db8-b9b3-84bcb52c9302',
        responsibilityControlPoint: 'Fachbereich K',
        reminderDate: null,
        futureDate: null,
        createDate: '2017-01-15T23:23:17+01',
        expectedFinishDate: '2017-01-16T23:23:13',
        finishedDate: null,
        createUser: 'Bearbeiter 4',
        clerk: 'Musterenkel',
        adminFlag: false,
        type: null,
        isTypePresenceCheck: Notification.prototype.isTypePresenceCheck
    },
    {
        id: 5,
        incidentId: 55,
        version: 6,
        fkRefBranch: 1,
        fkRefGridTerritory: 2,
        fkRefNotificationStatus: 2,
        fkRefNotificationPriority: null,
        beginDate: '2017-01-16T14:01:001',
        modDate: null,
        modUser: 'theo-Bold',            
        selected: false,
        status: 'offen',
        notificationText: 'Störung: Durchflussgeschwindigkeit',
        freeText: '',
        freeTextExtended: '',
        responsibilityForwarding: '',
        responsibilityForwardingUuid: '75d7c3fd-a5f1-4db8-b9b3-84bcb52c9302',
        responsibilityControlPoint: 'Firma OPQ',
        reminderDate: null,
        futureDate: null,
        createDate: '2017-01-16T22:42:17',
        expectedFinishDate: '2017-01-17T22:42:17',
        finishedDate: null,
        createUser: 'Bearbeiter 5',
        clerk: 'Imaginär',
        adminFlag: false,
        type: null,
        isTypePresenceCheck: Notification.prototype.isTypePresenceCheck
    },
    {
        id: 6,
        incidentId: 6,
        version: 1,
        fkRefBranch: 1,
        fkRefGridTerritory: 1,
        fkRefNotificationStatus: 2,
        fkRefNotificationPriority: null,
        beginDate: '2017-01-16T14:01:001',
        modDate: null,
        modUser: 'theofrank',            
        selected: false,
        status: 'geschlossen',
        notificationText: 'Störung: Geisterspannung',
        freeText: '',
        freeTextExtended: '',
        responsibilityForwarding: '',
        responsibilityForwardingUuid: '75d7c3fd-a5f1-4db8-b9b3-84bcb52c9302',
        responsibilityControlPoint: 'Lieferant T',
        reminderDate: null,
        futureDate: null,
        createDate: '2017-01-17T15:01:00',
        expectedFinishDate: '2017-01-18T15:01:001',
        finishedDate: null,
        createUser: 'Bearbeiter 6',
        clerk: 'Geist',
        adminFlag: false,
        type: null,
        isTypePresenceCheck: Notification.prototype.isTypePresenceCheck
    }
];

export const FINISHED_NOTIFICATIONS: Notification[] = [
    {
        id: 7,
        incidentId: 7,
        version: 1,
        fkRefBranch: 1,
        fkRefGridTerritory: 1,
        fkRefNotificationStatus: 4,
        fkRefNotificationPriority: null,
        beginDate: '2017-01-16T14:01:001',
        modDate: null,
        modUser: 'christobal',            
        selected: false,
        status: 'geschlossen',
        notificationText: 'Brand Sektor XYZ',
        freeText: '',
        freeTextExtended: '',
        responsibilityForwarding: '',
        responsibilityForwardingUuid: '75d7c3fd-a5f1-4db8-b9b3-84bcb52c9302',
        responsibilityControlPoint: '',
        reminderDate: null,
        futureDate: null,
        createDate: '2017-01-14T16:16:00',
        expectedFinishDate: '2017-01-15T16:16:00',
        finishedDate: '2017-01-15T16:16:00',
        createUser: 'Test 7',
        clerk: 'Bearbeiter 1',
        adminFlag: false,
        type: null,
        isTypePresenceCheck: Notification.prototype.isTypePresenceCheck
    },
    {
        id: 8,
        incidentId: 8,
        version: 1,
        fkRefBranch: 2,
        fkRefGridTerritory: 1,
        fkRefNotificationStatus: 4,
        fkRefNotificationPriority: null,
        beginDate: '2017-01-16T14:01:001',
        modDate: null,
        modUser: 'frankobal',            
        selected: false,
        status: 'geschlossen',
        notificationText: 'Leitungsbruch',
        freeText: '',
        freeTextExtended: '',
        responsibilityForwarding: '',
        responsibilityForwardingUuid: '75d7c3fd-a5f1-4db8-b9b3-84bcb52c9302',
        responsibilityControlPoint: '',
        reminderDate: null,
        futureDate: null,
        createDate: '2017-01-15T03:01:00+01',
        expectedFinishDate: '2017-01-17T04:01:00',
        finishedDate: '2017-01-17T05:01:00',
        createUser: 'Test 8',
        clerk: 'Bearbeiter 2',
        adminFlag: false,
        type: null,
        isTypePresenceCheck: Notification.prototype.isTypePresenceCheck
    },
    {
        id: 9,
        incidentId: 99,
        version: 9,
        fkRefBranch: 1,
        fkRefGridTerritory: 1,
        fkRefNotificationStatus: 3,
        fkRefNotificationPriority: null,
        beginDate: '2017-01-16T14:01:001',
        modDate: null,
        modUser: 'theo',            
        selected: false,
        status: 'erledigt',
        notificationText: 'abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ',
        freeText: '',
        freeTextExtended: '',
        responsibilityForwarding: '',
        responsibilityForwardingUuid: '75d7c3fd-a5f1-4db8-b9b3-84bcb52c9302',
        responsibilityControlPoint: '',
        reminderDate: null,
        futureDate: null,
        createDate: '2017-01-16T21:12:00',
        expectedFinishDate: '2017-01-18T21:12:00',
        finishedDate: '2017-01-18T21:13:00',
        createUser: 'Test 9',
        clerk: 'Bearbeiter 3',
        adminFlag: false,
        type: null,
        isTypePresenceCheck: Notification.prototype.isTypePresenceCheck
    }
];

export const NOTIFICATION_VERSIONS: Notification[] = [
    {
        id: 7,
        incidentId: 6,
        version: 1,
        fkRefBranch: 2,
        fkRefGridTerritory: 1,
        fkRefNotificationStatus: 1,
        fkRefNotificationPriority: null,
        beginDate: '2017-01-16T14:01:001',
        modDate: null,
        modUser: 'christobal',            
        selected: false,
        status: 'geschlossen',
        notificationText: 'Brand Sektor XYZ',
        freeText: '',
        freeTextExtended: '',
        responsibilityForwarding: '',
        responsibilityForwardingUuid: '75d7c3fd-a5f1-4db8-b9b3-84bcb52c9302',
        responsibilityControlPoint: '',
        reminderDate: null,
        futureDate: null,
        createDate: '2017-01-14T16:16:00',
        expectedFinishDate: '2017-01-15T16:16:00',
        finishedDate: '2017-01-15T16:16:00',
        createUser: 'Test 7',
        clerk: 'Bearbeiter 1',
        adminFlag: false,
        type: null,
        isTypePresenceCheck: Notification.prototype.isTypePresenceCheck
    },
    {
        id: 8,
        incidentId: 6,
        version: 2,
        fkRefBranch: 2,
        fkRefGridTerritory: 1,
        fkRefNotificationStatus: 1,
        fkRefNotificationPriority: null,
        beginDate: '2017-01-16T14:01:001',
        modDate: null,
        modUser: 'frankobal',            
        selected: false,
        status: 'geschlossen',
        notificationText: 'Leitungsbruch',
        freeText: '',
        freeTextExtended: '',
        responsibilityForwarding: '',
        responsibilityForwardingUuid: '75d7c3fd-a5f1-4db8-b9b3-84bcb52c9302',
        responsibilityControlPoint: '',
        reminderDate: null,
        futureDate: null,
        createDate: '2017-01-15T03:01:00+01',
        expectedFinishDate: '2017-01-17T04:01:00',
        finishedDate: '2017-01-17T05:01:00',
        createUser: 'Test 8',
        clerk: 'Bearbeiter 2',
        adminFlag: false,
        type: null,
        isTypePresenceCheck: Notification.prototype.isTypePresenceCheck
    },
    {
        id: 9,
        incidentId: 6,
        version: 3,
        fkRefBranch: 2,
        fkRefGridTerritory: 1,
        fkRefNotificationStatus: 1,
        fkRefNotificationPriority: null,
        beginDate: '2017-01-16T14:01:001',
        modDate: null,
        modUser: 'theo',            
        selected: false,
        status: 'erledigt',
        notificationText: 'abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ',
        freeText: '',
        freeTextExtended: '',
        responsibilityForwarding: '',
        responsibilityForwardingUuid: '75d7c3fd-a5f1-4db8-b9b3-84bcb52c9302',
        responsibilityControlPoint: '',
        reminderDate: null,
        futureDate: null,
        createDate: '2017-01-16T21:12:00',
        expectedFinishDate: '2017-01-18T21:12:00',
        finishedDate: '2017-01-18T21:13:00',
        createUser: 'Test 9',
        clerk: 'Bearbeiter 3',
        adminFlag: false,
        type: null,
        isTypePresenceCheck: Notification.prototype.isTypePresenceCheck
    }
];
